{% extends 'configuration/basic_settings/basic_settings_configuration.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('configuration/basic_settings/layout') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('configuration/basic_settings/layout') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <span class="text-primary fs-5 align-self-center">Grundeinstellungen</span>
        {{ form_widget(layoutForm.save, {'label': 'SPEICHERN', 'id': layoutForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
        {% if account.getAccountConfiguration() != null and account.getAccountConfiguration().getLogoImage() != null %}
            {% include 'component/mdc_context_menu_component.html.twig' with {
                'id': 'layout',
                'listItems': [
                    {
                        'label': 'Logo entfernen',
                        'url': path('configuration_basic_settings_logo_delete'),
                        'icon': 'delete_forever'
                    },
                ]
            } only %}
        {% endif %}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4">
            <div class="p-3">
                <h2 class="mb-3 fs-3">Layout</h2>
                <h3 class="mb-3 fs-5">Logo</h3>
                <p>Hier können Sie das Betreiber-Logo hochladen bzw. ändern. Bitte laden Sie dieses als SVG, JPG oder PNG hoch.</p>
                <div class="row g-3 mt-1">
                    <div class="col-md-4 mb-3 h-100">
                        {% if account.getAccountConfiguration() != null and account.getAccountConfiguration().getLogoImage() != null %}
                            <img class="img-fluid" src="{{ path('file', {'fileUuid': account.getAccountConfiguration.getLogoImage().getFile().getUuid()}) }}" alt="{{ account.getAccountConfiguration.getLogoImage().getTitle() }}">
                        {% else %}
                            <div class="border p-5 text-center">Kein Logo hochgeladen</div>
                        {% endif %}
                    </div>
                    <div class="col-md-8 mb-3  h-100">
                        {% include 'component/dropzone_upload_component.html.twig' with {
                            'idPrefix': 'layout_logo_image_upload_',
                            'uploadUrl': path('configuration_basic_settings_layout_logo_image_upload'),
                            'redirectUrl': path('configuration_basic_settings_layout')
                        } only %}
                    </div>
                </div>
                <h3 class="mb-3 fs-5">Farben</h3>
                <p>Hier können Sie die Primär- und Sekundärfarben für E-Mail-Templates und PDF-Exposés einstellen.</p>
                <div class='row'>
                    {{ form_start(layoutForm, {'attr': {'id': layoutForm.vars.id ~ '_form'}}) }}
                    {% include 'configuration/form/basic_settings//layout_form.html.twig' with {'form': layoutForm} only %}
                    {{ form_row(layoutForm._token) }}
                    {{ form_end(layoutForm, {'render_rest': false}) }}
                </div>
            </div>
        </div>
    </div>
{% endblock %}
